//
//  LCDocument.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 02.06.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class LCObjectsContainer;

extern NSInteger currentDocumentVersion;

@interface LCDocument : NSObject <NSCoding>
{
    LCObjectsContainer *objectsContainer;
    
    NSInteger documentVersion;
}

@property (retain) LCObjectsContainer *objectsContainer;
@property (assign) NSInteger documentVersion;

+ (LCDocument*) configuredDocumentWithEmptyObjectsContainer;

+ (NSData*) archiveDocument:(LCDocument*)document;
+ (LCDocument*) unarchiveDocumentWithData:(NSData*)data;

@end
