//
//  LCFrameObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 18.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "LCBaseObject.h"

@interface LCFrameObject : LCBaseObject
{
    CGRect frame;
    float rotation;
    
    //Events
    CGPoint dragStartPoint;
    CGRect dragStartFrame;
    CGRect handleDragStartFrame;
    
    CGPoint fixPointInGlobalSpace;
}

@property (assign) CGRect frame;
@property (assign) float rotation;

//For Subclassers

- (float) proposedAspectRatio;  //width/height

@end
