//
//  LCPhotoshopExporter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 12.04.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import <LogoistCore/LCPhotoshopExporterProgressDelegate.h>

@class LCObjectsContainer;

@interface LCPhotoshopExporter : NSObject
{
    NSMutableData *data;
    
    LCObjectsContainer *objectsContainer;
    
    BOOL drawDemoString;
    NSInteger antiAliasingFactor;
    float zoomFactor;
    
    id <LCPhotoshopExporterProgressDelegate> progressDelegate;
}

- (id) initWithObjectsContainer:(LCObjectsContainer*)o;

- (NSData*) export;

@property (assign) BOOL drawDemoString;

@property (assign) NSInteger antiAliasingFactor;
@property (assign) float zoomFactor;

@property (assign) id <LCPhotoshopExporterProgressDelegate> progressDelegate;

@end
