//
//  LCShadedMaterial.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 11.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class LCShadedMaterialLight;

extern NSString *LCShadedMaterialChangedNotificationName;

@interface LCShadedMaterial : NSObject <NSCopying>
{
    NSMutableArray *lights;

    id backgroundColor;
}

- (void) addLight:(LCShadedMaterialLight*)light;
- (void) removeLight:(LCShadedMaterialLight*)light;
@property (readonly) NSArray *lights;

@property (retain) id backgroundColor;

- (void) postShadedMaterialChangedNotification;

@end
