//
//  NSCoderAdditions.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 31.05.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@interface NSCoder (Additions)

#ifdef iOS
- (void)encodePoint:(CGPoint)point forKey:(NSString *)key;
- (void)encodeSize:(CGSize)size forKey:(NSString *)key;
- (void)encodeRect:(CGRect)rect forKey:(NSString *)key;

- (CGPoint)decodePointForKey:(NSString *)key;
- (CGSize)decodeSizeForKey:(NSString *)key;
- (CGRect)decodeRectForKey:(NSString *)key;
#endif

@end
