//
//  ANBasePreferencePane.h
//  AvisNocturnaMacCore
//
//  Created by Mendel Kucharzeck on 19.03.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@interface ANBasePreferencePane : NSObject
{
    IBOutlet NSView *contentView;
    
    NSArray *topLevelObjects;
}

- (void) loadNib;
- (NSView*) contentView;

//For Subclassers
- (NSString*) nibName;
- (NSImage*) icon;
- (NSString*) name;
- (NSString*) identifier;   //Default is name

- (CGSize) contentSize;

- (void) paneWillBeShown;
- (void) paneWillBeRemoved;

- (void) setDefaultPreferences;

@end
