//
//  LCBaseBorderFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 20.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseFilter.h"
#import <AvisNocturnaCrossCore/ANImageHelper-Border.h>

@interface LCBaseBorderFilter : LCBaseFilter
{
    float radius;
    float opacity;
    
    ANBorderType type;
}

@property (assign) float radius;
@property (assign) float opacity;

@property (assign) ANBorderType type;

//For Subclassers
- (BOOL) hasOpacitySetting;

@end
